function out = nanmean(X, dim)
% New MATLAB versions do not have a nanmean function. This functionality
% has been moved to the mean function itself. This just does what nanmean
% used to do, in a very naive way, to maintain backwards compatibility.

if nargin < 2
    dim=1;
end

if dim==2
    X = X';
end
  
if length(size(X)) == 2
    nCols = size(X,2);
    out = nan(1,nCols);
    for i = 1:nCols
        nonnaninds = ~isnan(X(:,i));
        out(i) = mean(X(nonnaninds,i));
    end

if dim==2
    out=out';
end

end